## python-cffi 1.12.2

=== debian/changelog ===
python-cffi (1.12.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:47:33 +0800

python-cffi (1.12.2-1) unstable; urgency=medium

  * New upstream release.
    - With initial Python 3.8 compatibility.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 26 Feb 2019 14:00:14 -0800

python-cffi (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch xfail-modify-struct, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Feb 2019 11:01:48 -0800

python-cffi (1.12.0-2) unstable; urgency=medium

  * Patch xfail-modify-struct: xfail TestOwnLib.test_modify_struct_value on
    arm64, hppa, riscv64, and sparc64, until resolved upstream.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 13 Feb 2019 17:25:34 -0800

python-cffi (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches, superseded upstream.
    - Hopefully fixed race in locking tests on hurd (Closes: #893743)
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Bump copyright years.
  * Delete .pytest_cache/ in clean.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 13 Feb 2019 13:01:48 -0800

python-cffi (1.11.5-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Stefano Rivera ]
  * Patch skip-double-float-int: Skip big double->float inf tests on ppc64el,
    they are known to fail on gcc8, and the blame is being debated upstream.
  * Patch skip-init-locking-hurd: Skip a non-critical test that fails
    occasionally Hurd. (See: #893743)
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 12 Sep 2018 17:05:03 +0300

python-cffi (1.11.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Stefano Rivera ]
  * Add python-cffi-doc package with Sphinx docs (Closes: #891865)
  * Patch: x32-pointers: handle pointers on ILP32 ABIs correctly.
    (Closes: #884705)
  * Bump Standards-Version to 4.2.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 26 Aug 2018 22:17:20 +0100

=== debian/control ===
Source: python-cffi
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python (>= 1.20150628),
 libffi-dev,
 python-all-dbg,
 python-all-dev (>= 2.6.6-3~),
 python-py,
 python-pycparser,
 python-pytest,
 python-setuptools,
 python3-all-dbg,
 python3-all-dev (>= 3.1.2-6~),
 python3-py,
 python3-pycparser,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 virtualenv | python-virtualenv (<< 1.11.6)
Standards-Version: 4.3.0
Homepage: http://cffi.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-cffi.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cffi
Rules-Requires-Root: no

Package: python-cffi
Architecture: all
Depends:
 python-cffi-backend (<< ${source:Version}+c),
 python-cffi-backend (>= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-dev
Description: Foreign Function Interface for Python calling C code
 Convenient and reliable way of calling C code from Python.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the necessary build and runtime support for cffi
 modules.

Package: python-cffi-backend
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Replaces: python-cffi (<< 1)
Breaks: python-cffi (<< 1)
Provides: ${cffi:Provides}
Description: Foreign Function Interface for Python calling C code - backend
 Convenient and reliable way of calling C code from Python.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the runtime support for pre-built cffi modules.

Package: python-cffi-backend-dbg
Architecture: any
Section: debug
Depends:
 python-cffi-backend (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Replaces: python-cffi-dbg (<< 1)
Breaks: python-cffi-dbg (<< 1)
Description: Foreign Function Interface for Python calling C code (Debug version)
 Convenient and reliable way of calling C code from Python.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the debug version of the python-cffi backend.

Package: python3-cffi
Architecture: all
Depends:
 python3-cffi-backend (<< ${source:Version}+c),
 python3-cffi-backend (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends}
Suggests: python3-dev
Description: Foreign Function Interface for Python 3 calling C code
 Convenient and reliable way of calling C code from Python 3.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the necessary build and runtime support for cffi
 modules.

Package: python3-cffi-backend
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Replaces: python3-cffi (<< 1)
Breaks: python3-cffi (<< 1)
Provides: ${cffi:Provides}
Description: Foreign Function Interface for Python 3 calling C code - runtime
 Convenient and reliable way of calling C code from Python 3.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the runtime support for pre-built cffi modules.

Package: python3-cffi-backend-dbg
Architecture: any
Section: debug
Depends:
 python3-cffi-backend (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Replaces: python3-cffi-dbg (<< 1)
Breaks: python3-cffi-dbg (<< 1)
Description: Foreign Function Interface for Python 3 calling C code (Debug version)
 Convenient and reliable way of calling C code from Python 3.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the debug version of the python3-cffi backend.

Package: python-cffi-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Foreign Function Interface for Python calling C code - documentation
 Convenient and reliable way of calling C code from Python.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the developer documentation for cffi.

## python-cffi 1.12.3

=== debian/changelog ===
python-cffi (1.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 12 (and use B-D syntax).
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Remove versioned constraints that pre-date stretch.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 08 Jul 2019 22:56:35 -0700

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,24 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper (>= 11),
- dh-python (>= 1.20150628),
+ debhelper-compat (= 12),
+ dh-python,
  libffi-dev,
  python-all-dbg,
- python-all-dev (>= 2.6.6-3~),
+ python-all-dev,
  python-py,
  python-pycparser,
  python-pytest,
  python-setuptools,
  python3-all-dbg,
- python3-all-dev (>= 3.1.2-6~),
+ python3-all-dev,
  python3-py,
  python3-pycparser,
  python3-pytest,
  python3-setuptools,
  python3-sphinx,
- virtualenv | python-virtualenv (<< 1.11.6)
-Standards-Version: 4.3.0
+ virtualenv
+Standards-Version: 4.4.0
 Homepage: http://cffi.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-cffi.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cffi
@@ -49,8 +49,6 @@
 Package: python-cffi-backend
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Replaces: python-cffi (<< 1)
-Breaks: python-cffi (<< 1)
 Provides: ${cffi:Provides}
 Description: Foreign Function Interface for Python calling C code - backend
  Convenient and reliable way of calling C code from Python.
@@ -70,8 +68,6 @@
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends}
-Replaces: python-cffi-dbg (<< 1)
-Breaks: python-cffi-dbg (<< 1)
 Description: Foreign Function Interface for Python calling C code (Debug version)
  Convenient and reliable way of calling C code from Python.
  .
@@ -104,8 +100,6 @@
 Package: python3-cffi-backend
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Replaces: python3-cffi (<< 1)
-Breaks: python3-cffi (<< 1)
 Provides: ${cffi:Provides}
 Description: Foreign Function Interface for Python 3 calling C code - runtime
  Convenient and reliable way of calling C code from Python 3.
@@ -125,8 +119,6 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}
-Replaces: python3-cffi-dbg (<< 1)
-Breaks: python3-cffi-dbg (<< 1)
 Description: Foreign Function Interface for Python 3 calling C code (Debug version)
  Convenient and reliable way of calling C code from Python 3.
  .

## python-cffi 1.14.0

=== debian/changelog ===
python-cffi (1.14.0-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 11:01:03 +0100

python-cffi (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright years.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 13 Feb 2020 21:15:43 -0800

python-cffi (1.13.2-1) unstable; urgency=medium

  * New upstream point release, no significant changes.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Dec 2019 10:13:31 +0200

python-cffi (1.13.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release. (Closes: #942865)

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 02 Nov 2019 11:26:50 -0700

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-setuptools,
  python3-sphinx,
  virtualenv
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://cffi.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-cffi.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cffi

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python2=debian/python-cffi
export PYBUILD_DESTDIR_python3=debian/python3-cffi
export PYBUILD_EXT_DESTDIR_python2=debian/python-cffi-backend
export PYBUILD_EXT_DESTDIR_python3=debian/python3-cffi-backend
export PYBUILD_EXT_DESTDIR_python2-dbg=debian/python-cffi-backend-dbg
export PYBUILD_EXT_DESTDIR_python3-dbg=debian/python3-cffi-backend-dbg

export VIRTUALENV_DOWNLOAD=no

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_build-indep:
	dh_auto_build --indep
	python3 -m sphinx -b html -d doc/build/doctrees doc/source doc/build/html

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} -m pytest c/ testing/" \
		dh_auto_test

override_dh_install:
	debian/gen-backend-versions.py
	dh_install

override_dh_installdocs-indep:
	dh_installdocs -p python-cffi-doc --doc-main-package python-cffi-doc
	dh_installdocs --indep -N python-cffi-doc

override_dh_installchangelogs:
	dh_installchangelogs doc/source/whatsnew.rst

override_dh_strip:
	dh_strip -p python-cffi-backend -p python-cffi-backend-dbg \
	         --dbg-package=python-cffi-backend-dbg
	dh_strip -p python3-cffi-backend -p python3-cffi-backend-dbg \
	         --dbg-package=python3-cffi-backend-dbg
	dh_strip --remaining-packages

override_dh_clean:
	dh_clean
	rm -rf $(wildcard testing/*/snippets/*/build testing/*/snippets/*/dist testing/*/snippets/*/*.egg-info)

=== debian/tests/control ===
Tests: unittests
Depends:
 build-essential,
 python-all-dbg,
 python-all-dev,
 python-cffi,
 python-cffi-backend-dbg,
 python-py,
 python-pytest,
 python-setuptools,
 virtualenv

Tests: unittests3
Depends:
 build-essential,
 python3-all-dbg,
 python3-all-dev,
 python3-cffi,
 python3-cffi-backend-dbg,
 python3-py,
 python3-pytest,
 python3-setuptools,
 virtualenv

## python-cffi 1.14.2

=== debian/changelog ===
python-cffi (1.14.2-1) unstable; urgency=medium

  * New pstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 26 Aug 2020 21:28:03 -0700

python-cffi (1.14.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 26 Jul 2020 10:48:15 -0700

python-cffi (1.14.0-2) unstable; urgency=medium

  * Drop python2 support; Closes: #937639

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Apr 2020 20:37:28 -0400

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,6 @@
  debhelper-compat (= 12),
  dh-python,
  libffi-dev,
- python-all-dbg,
- python-all-dev,
- python-py,
- python-pycparser,
- python-pytest,
- python-setuptools,
  python3-all-dbg,
  python3-all-dev,
  python3-py,
@@ -22,61 +16,10 @@
  python3-sphinx,
  virtualenv
 Standards-Version: 4.5.0
-Homepage: http://cffi.readthedocs.org/
+Homepage: https://cffi.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-cffi.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cffi
 Rules-Requires-Root: no
-
-Package: python-cffi
-Architecture: all
-Depends:
- python-cffi-backend (<< ${source:Version}+c),
- python-cffi-backend (>= ${source:Version}),
- ${misc:Depends},
- ${python:Depends}
-Suggests: python-dev
-Description: Foreign Function Interface for Python calling C code
- Convenient and reliable way of calling C code from Python.
- .
- The aim of this project is to provide a convenient and reliable way of calling
- C code from Python. It keeps Python logic in Python, and minimises the C
- required. It is able to work at either the C API or ABI level, unlike most
- other approaches, that only support the ABI level.
- .
- This package contains the necessary build and runtime support for cffi
- modules.
-
-Package: python-cffi-backend
-Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Provides: ${cffi:Provides}
-Description: Foreign Function Interface for Python calling C code - backend
- Convenient and reliable way of calling C code from Python.
- .
- The aim of this project is to provide a convenient and reliable way of calling
- C code from Python. It keeps Python logic in Python, and minimises the C
- required. It is able to work at either the C API or ABI level, unlike most
- other approaches, that only support the ABI level.
- .
- This package contains the runtime support for pre-built cffi modules.
-
-Package: python-cffi-backend-dbg
-Architecture: any
-Section: debug
-Depends:
- python-cffi-backend (= ${binary:Version}),
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends}
-Description: Foreign Function Interface for Python calling C code (Debug version)
- Convenient and reliable way of calling C code from Python.
- .
- The aim of this project is to provide a convenient and reliable way of calling
- C code from Python. It keeps Python logic in Python, and minimises the C
- required. It is able to work at either the C API or ABI level, unlike most
- other approaches, that only support the ABI level.
- .
- This package contains the debug version of the python-cffi backend.
 
 Package: python3-cffi
 Architecture: all

## python-cffi 1.14.5

=== debian/changelog ===
python-cffi (1.14.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 12 Feb 2021 11:02:18 -0800

python-cffi (1.14.4-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Drop patch python3.9-dbg-test-segfault, superseded upstream.
  * Bump watch file version to 4, no changes needed.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python3-cffi-backend, python3-cffi-backend-dbg: Add Multi-Arch: same.
    + python-cffi-doc: Add Multi-Arch: foreign.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 27 Nov 2020 21:53:32 -0800

python-cffi (1.14.3-2) unstable; urgency=medium

  * Revert the temporary NMU hack: Ignore test results for a first build.
  * Patch: Fix a crash in tests under python3.9-dbg. (Closes: #971910)
  * Update upstream metadata to point to heptapod.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 14 Oct 2020 09:34:33 -0700

python-cffi (1.14.3-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Ignore test results for a first build.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Oct 2020 08:35:50 +0200

python-cffi (1.14.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs URLs for DPMT & PAPT merger.
  * Update Maintainer email for DPMT & PAPT merger.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Sep 2020 13:29:18 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-cffi
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
@@ -15,10 +15,10 @@
  python3-setuptools,
  python3-sphinx,
  virtualenv
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://cffi.readthedocs.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-cffi.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cffi
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-cffi.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cffi
 Rules-Requires-Root: no
 
 Package: python3-cffi
@@ -44,6 +44,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Provides: ${cffi:Provides}
+Multi-Arch: same
 Description: Foreign Function Interface for Python 3 calling C code - runtime
  Convenient and reliable way of calling C code from Python 3.
  .
@@ -62,6 +63,7 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}
+Multi-Arch: same
 Description: Foreign Function Interface for Python 3 calling C code (Debug version)
  Convenient and reliable way of calling C code from Python 3.
  .
@@ -76,6 +78,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Foreign Function Interface for Python calling C code - documentation
  Convenient and reliable way of calling C code from Python.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,13 @@
 #!/usr/bin/make -f
 
-export PYBUILD_DESTDIR_python2=debian/python-cffi
 export PYBUILD_DESTDIR_python3=debian/python3-cffi
-export PYBUILD_EXT_DESTDIR_python2=debian/python-cffi-backend
 export PYBUILD_EXT_DESTDIR_python3=debian/python3-cffi-backend
-export PYBUILD_EXT_DESTDIR_python2-dbg=debian/python-cffi-backend-dbg
 export PYBUILD_EXT_DESTDIR_python3-dbg=debian/python3-cffi-backend-dbg
 
 export VIRTUALENV_DOWNLOAD=no
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem pybuild
 
 override_dh_auto_build-indep:
 	dh_auto_build --indep
@@ -33,8 +30,6 @@
 	dh_installchangelogs doc/source/whatsnew.rst
 
 override_dh_strip:
-	dh_strip -p python-cffi-backend -p python-cffi-backend-dbg \
-	         --dbg-package=python-cffi-backend-dbg
 	dh_strip -p python3-cffi-backend -p python3-cffi-backend-dbg \
 	         --dbg-package=python3-cffi-backend-dbg
 	dh_strip --remaining-packages

=== debian/tests/control ===
Tests: unittests3
Depends:
 build-essential,
 python3-all-dbg,
 python3-all-dev,
 python3-cffi,
 python3-cffi-backend-dbg,
 python3-py,
 python3-pytest,
 python3-setuptools,
 virtualenv

## python-cffi 1.14.6

=== debian/changelog ===
python-cffi (1.14.6-1build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Sep 2021 16:59:30 +0200

python-cffi (1.14.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 12 Jul 2021 17:30:45 -0400

## python-cffi 1.15.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/CFFI.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/CFFI.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-cffi (1.15.0-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:57:34 +0100

python-cffi (1.15.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:46:39 +0000

python-cffi (1.15.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Drop patches, superseded upstream.
  * Update copyright.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 15 Oct 2021 21:15:02 -0700

python-cffi (1.14.6-2) unstable; urgency=medium

  * Thanks for the upload, Mattias.
  * Drop -dbg package, no longer needed now that pydebug builds of python can
    use the regular python ABI in extensions. (Closes: #994349)
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 15 Sep 2021 12:41:55 -0700

python-cffi (1.14.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Filter out local symbols in unknown exported symbols test.
    (Closes: #893745)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 25 Aug 2021 21:34:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: python-cffi
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  libffi-dev,
- python3-all-dbg,
  python3-all-dev,
  python3-py,
  python3-pycparser,
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-sphinx,
  virtualenv
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://cffi.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cffi.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cffi
@@ -55,25 +55,6 @@
  .
  This package contains the runtime support for pre-built cffi modules.
 
-Package: python3-cffi-backend-dbg
-Architecture: any
-Section: debug
-Depends:
- python3-cffi-backend (= ${binary:Version}),
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends}
-Multi-Arch: same
-Description: Foreign Function Interface for Python 3 calling C code (Debug version)
- Convenient and reliable way of calling C code from Python 3.
- .
- The aim of this project is to provide a convenient and reliable way of calling
- C code from Python. It keeps Python logic in Python, and minimises the C
- required. It is able to work at either the C API or ABI level, unlike most
- other approaches, that only support the ABI level.
- .
- This package contains the debug version of the python3-cffi backend.
-
 Package: python-cffi-doc
 Architecture: all
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 export PYBUILD_DESTDIR_python3=debian/python3-cffi
 export PYBUILD_EXT_DESTDIR_python3=debian/python3-cffi-backend
-export PYBUILD_EXT_DESTDIR_python3-dbg=debian/python3-cffi-backend-dbg
 
 export VIRTUALENV_DOWNLOAD=no
 
@@ -30,8 +29,8 @@
 	dh_installchangelogs doc/source/whatsnew.rst
 
 override_dh_strip:
-	dh_strip -p python3-cffi-backend -p python3-cffi-backend-dbg \
-	         --dbg-package=python3-cffi-backend-dbg
+	dh_strip -p python3-cffi-backend \
+	         --dbgsym-migration='python3-cffi-backend-dbg (<< 1.14.6-2)'
 	dh_strip --remaining-packages
 
 override_dh_clean:

## python-cffi 1.15.1

=== debian/changelog ===
python-cffi (1.15.1-5) unstable; urgency=medium

  * Patch: Fix test failures on hppa, thanks John David Anglin.
    (Closes: #1024271)
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 19 Dec 2022 19:49:59 -0400

python-cffi (1.15.1-4) unstable; urgency=medium

  * Patch: Untrack some objects that triggered assertion failures in 3.11.
    (Closes: #1024767, #1025027)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 04 Dec 2022 19:39:20 -0400

python-cffi (1.15.1-3) unstable; urgency=medium

  * Patch: Python 3.11 (final) support. (Closes: #1021873)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 16 Oct 2022 22:00:09 +0200

python-cffi (1.15.1-2) unstable; urgency=medium

  * Use PYBUILD_NAME.
  * Prefer execute_{before|after} to overrides in debian/rules.
  * Support the nocheck and nodoc build profiles.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 15 Oct 2022 23:37:22 +0200

python-cffi (1.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 19 Jul 2022 15:38:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: python-cffi
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
  libffi-dev,
  python3-all-dev,
- python3-py,
- python3-pycparser,
- python3-pytest,
+ python3-py <!nocheck>,
+ python3-pycparser <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-sphinx,
- virtualenv
-Standards-Version: 4.6.0
+ python3-sphinx <!nodoc>,
+ virtualenv <!nocheck>
+Standards-Version: 4.6.2
 Homepage: https://cffi.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cffi.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cffi

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cffi
export PYBUILD_EXT_DESTDIR_python3=debian/python3-cffi-backend

export VIRTUALENV_DOWNLOAD=no

%:
	dh $@ --buildsystem pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html -d doc/build/doctrees doc/source doc/build/html
endif

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} -m pytest c/ testing/" \
		dh_auto_test

execute_before_dh_install:
	debian/gen-backend-versions.py

override_dh_installdocs-indep:
	dh_installdocs -p python-cffi-doc --doc-main-package python-cffi-doc
	dh_installdocs --indep -N python-cffi-doc

override_dh_installchangelogs:
	dh_installchangelogs doc/source/whatsnew.rst

override_dh_strip:
	dh_strip -p python3-cffi-backend \
	         --dbgsym-migration='python3-cffi-backend-dbg (<< 1.14.6-2)'
	dh_strip --remaining-packages

execute_after_dh_clean:
	rm -rf $(wildcard testing/*/snippets/*/build testing/*/snippets/*/dist testing/*/snippets/*/*.egg-info)

## python-cffi 1.16.0

=== debian/changelog ===
python-cffi (1.16.0-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:16:53 +0200

python-cffi (1.16.0-2) unstable; urgency=medium

  * Patch: Use virtualenv's bundled setuptools and wheel on Python 3.12.
    (Closes: #1055337)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 04 Nov 2023 20:02:00 +0200

python-cffi (1.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches, superseded upstream.
  * Bump copyright years.
  * Upstream reorganised the source tree, update our packaging.
  * Upstream moved to GitHub, update metadata.
  * Drop debian/python-cffi-backend.substvars that we've accidentally been
    including in the source package.
  * Explicitly build egg-info before running tests, so the setuptools
    extension can be discovered.
  * Build with pybuild-plugin-pyproject.
  * Improve cleaning.
  * Correct a path typo in copyright.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 02 Oct 2023 18:16:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-cffi
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -9,6 +10,7 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  libffi-dev,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-py <!nocheck>,
  python3-pycparser <!nocheck>,

=== debian/tests/control ===
Tests: unittests3
Depends:
 build-essential,
 python3-all-dbg,
 python3-all-dev,
 python3-cffi,
 python3-py,
 python3-pytest,
 python3-setuptools,
 virtualenv

## python-cffi 1.17.1

=== debian/changelog ===
python-cffi (1.17.1-3build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:49:47 +0000

python-cffi (1.17.1-3) unstable; urgency=medium

  * Patch: Don't call virtualenv with --wheel=bundle, wheel is no longer
    needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 28 Apr 2025 13:51:39 -0400

python-cffi (1.17.1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1087278)
    + Move sphinx dependencies to B-D-I.
    + Multiarchify python B-D.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 10 Nov 2024 14:29:20 -0800

python-cffi (1.17.1-1) unstable; urgency=medium

  * New upstream point-release.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 05 Sep 2024 21:38:50 +0200

python-cffi (1.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 12 Aug 2024 10:57:29 +0200

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/cffi/cffi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cffi 2.0.0~b1

=== debian/changelog ===
python-cffi (2.0.0~b1-1) unstable; urgency=medium

  * New upstream beta.
  * Refresh patches.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 21 Aug 2025 13:11:59 +0200

## python-cffi 2.0.0

=== debian/changelog ===
python-cffi (2.0.0-2) unstable; urgency=medium

  * Depend on python3-setuptools from the python3-cffi package. This is
    required to compile C extensions in most cffi modes. (Closes: #1118162)
  * Drop Rules-Requires-Root: no, as it's now the default.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 15 Oct 2025 22:22:15 +0200

python-cffi (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch no-wheel-whl, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 14 Sep 2025 20:02:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,35 @@
 Source: python-cffi
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
- dh-sequence-sphinxdoc <!nodoc>,
  libffi-dev,
+ libpython3-all-dev,
  pybuild-plugin-pyproject,
- python3-all-dev,
+ python3-all-dev:any,
  python3-py <!nocheck>,
  python3-pycparser <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
+ virtualenv <!nocheck>
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc <!nodoc>,
  python3-sphinx <!nodoc>,
- virtualenv <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://cffi.readthedocs.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cffi.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cffi
-Rules-Requires-Root: no
 
 Package: python3-cffi
 Architecture: all
 Depends:
  python3-cffi-backend (<< ${source:Version}+c),
  python3-cffi-backend (>= ${source:Version}),
+ python3-setuptools,
  ${misc:Depends},
  ${python3:Depends}
 Suggests: python3-dev

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-		PYBUILD_TEST_ARGS="{interpreter} -m pytest c/ testing/" \
+		PYBUILD_BEFORE_TEST="{interpreter} setup.py egg_info" \
+		PYBUILD_TEST_ARGS="{interpreter} -m pytest src/c/ testing/" \
 		dh_auto_test
 
 execute_before_dh_install:
@@ -34,4 +35,4 @@
 	dh_strip --remaining-packages
 
 execute_after_dh_clean:
-	rm -rf $(wildcard testing/*/snippets/*/build testing/*/snippets/*/dist testing/*/snippets/*/*.egg-info)
+	rm -rf $(wildcard testing/*/snippets/*/build testing/*/snippets/*/dist testing/*/snippets/*/*.egg-info testing/*/snippets/*/__pycache__)
